> For the complete documentation index, see [llms.txt](https://docs.feedbackly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.feedbackly.com/api/unsubscriptions/get-touchpoints-1.md).

# GET Unsubscriptions by  Channel id

## Get Unsubcriptions by channel id

<mark style="color:blue;">`GET`</mark> `https://api.feedbackly.com/v5.0.3/unsubcriptions/:channelId`

This endpoint allows you to access Unsubscribed contacts objects from Feedbackly.&#x20;

#### Query Parameters

| Name           | Type   | Description                                                                                          |
| -------------- | ------ | ---------------------------------------------------------------------------------------------------- |
| startDate      | string | Filter by unix timestamp, starting at given value                                                    |
| endDate        | number | Filter by unix timestamp, ending at given value                                                      |
| skip           | String | No. of documents to skip from the start                                                              |
| requiredFields | Array  | Fields to append to received contact object. Options: "email", "phone", "channelId" and "createdAt". |

#### Headers

| Name                                            | Type   | Description                                                                                          |
| ----------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | <p>Authentication token to access the API eg:<br>'Authorization': 'ey0iuefg.834xcunerun348efnsd'</p> |

{% tabs %}
{% tab title="200 Response successfully retrieved." %}

```
{
  "data": [
    {
      "_id": "5dc57703b7c935069aef31c5",
      "name": "Feedback terminal 1",
      "teamId": "5dc57703b7c935069aef31c1",
      "activeSurveyId": "5dc57703b7c935069aef31a2",
      "activeSurveyName": "NPS Survey",
      "lastResponse": 159801789,
      "lastResponseDate": "2020-08-21T13:52:01.606Z"
    },
    {
      
      "_id": "5dc57703b7c935069aef31c6",
      "name": "Web widget home page",
      "teamId": "5dc57703b7c935069aef31c2",
      "activeSurveyId": "5dc57703b7c935069aef31a1",
      "activeSurveyName": "CES Survey",
      "lastResponse": 159801789,
      "lastResponseDate": "2020-08-21T13:52:01.606Z"
    }
  ],
  "paging": {
    "next": "https://api.feedbackly.com/v5.0.2/touchpoints?skip=200",
    "previous": "https://api.feedbackly.com/v5.0.2/touchpoints?skip=0"
  }
}
```

{% endtab %}
{% endtabs %}

### Response type description

| Field name | Type                                               | Example | Description                               |
| ---------- | -------------------------------------------------- | ------- | ----------------------------------------- |
| data       | [Unsubsribed contact](/api/unsubscriptions.md) \[] |         | The array of Unsubscribed contact objects |
| paging     | [Pagination](/api/notes/pagination.md)             |         | Pagination object                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.feedbackly.com/api/unsubscriptions/get-touchpoints-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
